﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Prevod
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void BtnKonec_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private string Nula (int s)
        {
            string ss = s.ToString();

            if (ss.Length==1)
            {
                return "0" + ss;
            }
            else
            {
                return ss;
            }
        }

        private void BtnPrevod_Click(object sender, RoutedEventArgs e)
        {
            int celkem;  // vstup
            int hodin, minut, sekund; // vystup

            if (int.TryParse(TxtCelkem.Text, out celkem)) 
            {
                hodin = celkem / 3600;

                int zbytek = celkem % 3600;

                minut = zbytek / 60;
                sekund = zbytek % 60;

                TxtHodin.Text = hodin.ToString();
                TxtMinut.Text = minut.ToString();
                TxtSekund.Text = sekund.ToString();

                MessageBox.Show(Nula(hodin) + ":" + Nula(minut) + ":" + Nula(sekund));
                   
            }


        }
    }
}
